JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinUser.MSG

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinUser.MSG

Enclosing interface:
  WinUser

    public static class WinUser.MSG

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`WinDef.HWND` | `hWnd`
`WinDef.LPARAM` | `lParam`
`int` | `message`
`WinUser.POINT` | `pt`
`int` | `time`
`WinDef.WPARAM` | `wParam`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.MSG()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### hWnd

    public WinDef.HWND hWnd

### message

    public int message

### wParam

    public WinDef.WPARAM wParam

### lParam

    public WinDef.LPARAM lParam

### time

    public int time

### pt

    public WinUser.POINT pt

Constructor Detail

### WinUser.MSG

    public WinUser.MSG()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.